%define opt /opt
%define realname master-pdf-editor5	

Summary: PDF editor
Name:       master-pdf-editor5paid
Version:    5.9.82
Release:    %mkrel 1
License:    Proprietary
Group:      Publishing
URL:         https://code-industry.net/free-pdf-editor/#get
BuildRoot: %{_tmppath}/%{realname}-%{version}-%{release}-root
Source1:    masterpdfeditor5.desktop
Requires: lib64qt5printsupport5
Conflicts: master-pdf-editor5

%define my_package master-pdf-editor-%{version}-qt5.x86_64.tar.gz


%description
Note: this is the paid version, you need a license to use it!
Or use the free version: master-pdf-editor5

Master PDF Editor provides you advanced functions for working with PDF format:
• Create new PDF or edit existing ones.
• Add and/or edit bookmarks in PDF files.
• Fast and simple PDF forms fill out
• Changing font attributes (size, family, color etc)
• Encrypt and/or protect PDF files using 128 bit encryption.
• Convert XPS files into PDF.
• JavaScript support
• Validation Forms and Calculate Values
• Add PDF controls (like buttons, checkboxes, lists, etc.) into your PDFs.
• Import/export PDF pages into common graphical formats including BMP, JPG, PNG, and TIFF.
• Signing PDF documents with digital signature, signatures creation and validation.
• Free PDF Editor on Linux ( for non-commercial use)

The Linux-based version is free for non-commercial use. 

%prep
%setup -T -n %{realname} -c

%build

%install
rm -rf %buildroot
mkdir -p %buildroot

#download source
cd $RPM_SOURCE_DIR
wget -nc "https://code-industry.net/public/%{my_package}" 
cd ..

# extract data
mkdir -p %buildroot/opt
tar -zxvf $RPM_SOURCE_DIR/%{my_package}  -C %buildroot/opt

mkdir -p %buildroot/%{_datadir}/applications
install -m 0644 %SOURCE1 %buildroot/%{_datadir}/applications
  
%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%opt/master-pdf-editor-5
%{_datadir}/applications/masterpdfeditor5.desktop


%changelog
* Fri Feb 09 2024 pp - 5.9.82-1pclos2024
- new version

* Mon Dec 18 2023 pp - 5.9.81-1pclos2023
- new version

* Thu Oct 19 2023 tex - 5.9.70-1pclos2023
- new version

* Thu Aug 31 2023 pp - 5.9.61-1pclos2023
- new version

